/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.views;

import com.arrebol.apc.model.core.Office;
import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import org.hibernate.annotations.Immutable;

/**
 *
 * @author Oscar Armando Vargas Cardenas <oscar.vargas@arrebol.com.mx>
 */
@Entity
@Immutable
@Table(name = "APC_SUBTOTAL_WEEK_BY_USER_VIEW")
public class SubtotalWeekByUserView implements Serializable{

    private static final long serialVersionUID = 3055231364366461069L;
    
    @Id
    @Column(name = "id", length = 36)
    private String id;
    
    @Column(name = "username")
    private String userName;
    
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(
            name = "id_office",
            referencedColumnName = "id",
            nullable = false
    )
    private Office office;
    
    @Column(name = "subtotal_monday")
    private BigDecimal subtotalMonday;
    
    @Column(name = "subtotal_tuesday")
    private BigDecimal subtotalTuesday;
    
    @Column(name = "subtotal_wednesday")
    private BigDecimal subtotalWednesday;
    
    @Column(name = "subtotal_thursday")
    private BigDecimal subtotalThursday;
    
    @Column(name = "subtotal_friday")
    private BigDecimal subtotalFriday;
    
    @Column(name = "subtotal_saturday")
    private BigDecimal subtotalSaturday;
    
    @Column(name = "subtotal_total")
    private BigDecimal subtotalTotal;
    
    @Column(name = "opening_fee_monday")
    private BigDecimal openingFeeMonday;
    
    @Column(name = "opening_fee_tuesday")
    private BigDecimal openingFeeTuesday;
    
    @Column(name = "opening_fee_wednesday")
    private BigDecimal openingFeeWednesday;
    
    @Column(name = "opening_fee_thursday")
    private BigDecimal openingFeeThursday;
    
    @Column(name = "opening_fee_friday")
    private BigDecimal openingFeeFriday;
    
    @Column(name = "opening_fee_saturday")
    private BigDecimal openingFeeSaturday;
    
    @Column(name = "opening_fee_total")
    private BigDecimal openingFeeTotal;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Office getOffice() {
        return office;
    }

    public void setOffice(Office office) {
        this.office = office;
    }

    public BigDecimal getSubtotalMonday() {
        return subtotalMonday;
    }

    public void setSubtotalMonday(BigDecimal subtotalMonday) {
        this.subtotalMonday = subtotalMonday;
    }

    public BigDecimal getSubtotalTuesday() {
        return subtotalTuesday;
    }

    public void setSubtotalTuesday(BigDecimal subtotalTuesday) {
        this.subtotalTuesday = subtotalTuesday;
    }

    public BigDecimal getSubtotalWednesday() {
        return subtotalWednesday;
    }

    public void setSubtotalWednesday(BigDecimal subtotalWednesday) {
        this.subtotalWednesday = subtotalWednesday;
    }

    public BigDecimal getSubtotalThursday() {
        return subtotalThursday;
    }

    public void setSubtotalThursday(BigDecimal subtotalThursday) {
        this.subtotalThursday = subtotalThursday;
    }

    public BigDecimal getSubtotalFriday() {
        return subtotalFriday;
    }

    public void setSubtotalFriday(BigDecimal subtotalFriday) {
        this.subtotalFriday = subtotalFriday;
    }

    public BigDecimal getSubtotalSaturday() {
        return subtotalSaturday;
    }

    public void setSubtotalSaturday(BigDecimal subtotalSaturday) {
        this.subtotalSaturday = subtotalSaturday;
    }

    public BigDecimal getSubtotalTotal() {
        return subtotalTotal;
    }

    public void setSubtotalTotal(BigDecimal subtotalTotal) {
        this.subtotalTotal = subtotalTotal;
    }

    public BigDecimal getOpeningFeeMonday() {
        return openingFeeMonday;
    }

    public void setOpeningFeeMonday(BigDecimal openingFeeMonday) {
        this.openingFeeMonday = openingFeeMonday;
    }

    public BigDecimal getOpeningFeeTuesday() {
        return openingFeeTuesday;
    }

    public void setOpeningFeeTuesday(BigDecimal openingFeeTuesday) {
        this.openingFeeTuesday = openingFeeTuesday;
    }

    public BigDecimal getOpeningFeeWednesday() {
        return openingFeeWednesday;
    }

    public void setOpeningFeeWednesday(BigDecimal openingFeeWednesday) {
        this.openingFeeWednesday = openingFeeWednesday;
    }

    public BigDecimal getOpeningFeeThursday() {
        return openingFeeThursday;
    }

    public void setOpeningFeeThursday(BigDecimal openingFeeThursday) {
        this.openingFeeThursday = openingFeeThursday;
    }

    public BigDecimal getOpeningFeeFriday() {
        return openingFeeFriday;
    }

    public void setOpeningFeeFriday(BigDecimal openingFeeFriday) {
        this.openingFeeFriday = openingFeeFriday;
    }

    public BigDecimal getOpeningFeeSaturday() {
        return openingFeeSaturday;
    }

    public void setOpeningFeeSaturday(BigDecimal openingFeeSaturday) {
        this.openingFeeSaturday = openingFeeSaturday;
    }

    public BigDecimal getOpeningFeeTotal() {
        return openingFeeTotal;
    }

    public void setOpeningFeeTotal(BigDecimal openingFeeTotal) {
        this.openingFeeTotal = openingFeeTotal;
    }

    
}
